SDLSlider(3)

NAME
SDLSlider -

SYNOPSIS

#include <sdlslider.h>

Inherits SDLScrollBar.

  Public Methods
SDLSlider (SDLWidget* parent, int id, SDL_Rect& r, int direction = SDL_SB_VERTICAL)
~SDLSlider ()
void LoadThemeStyle (const char* widgettype)
Load a style from the theme definition.

  Protected Methods
bool eventMouseButtonUp (const SDL_MouseButtonEvent* button)
Overridable Eventhandler for a SDL_MouseButtonEvent message.

  Protected Attributes
bool my_showButtons

CONSTRUCTOR & DESTRUCTOR DOCUMENTATION

  SDLSlider::SDLSlider (SDLWidget * parent, int id, SDL_Rect & r, int direction = SDL_SB_VERTICAL)

  SDLSlider::~SDLSlider ()

MEMBER FUNCTION DOCUMENTATION

  void SDLSlider::LoadThemeStyle (const char * widgettype) [virtual]

Load a style from the theme definition.

Parameters:

widgettype name of the widgettype

objectname name of the object

Loads the defined style for a given widgettype

Reimplemented from SDLScrollBar.

  bool SDLSlider::eventMouseButtonUp (const SDL_MouseButtonEvent * button) [protected, virtual]

Overridable Eventhandler for a SDL_MouseButtonEvent message.

This handler is called when a mouse button is released. The default implementation returns 'false' which indicates that this message is not processed by this object.

Parameters:

button SDL_MouseButtonEvent message

Returns:
 Notifies the message pump if this message is processed by this object or it should be routed to the next message receiver.

Reimplemented from SDLScrollBar.

MEMBER DATA DOCUMENTATION

  bool SDLSlider::my_showButtons [protected]

Definition at line 32 of file sdlslider.h.

AUTHOR

Generated automatically by Doxygen for ParaGUI from the source code.